echo off
cls
REM =====     VQDBUTILS     =====
REM = Remove zero's from patientnumbers field : PatientLink
REM = Replace database="[DbFileName in storageEngine.ini]"

echo .
echo ===     Batchfile aangepast ??     ===
echo == Nee ?
echo Haal de database-naam uit de storageEngine.ini
echo en vul deze in achter database=
echo == Ja ?
echo druk op spatie, anders ctrl-C
Pause
vqdbutils.exe WriteFirebirdDbCfg /out=fb_db.cfg /server="127.0.0.1/30500" /database="D:\Conversie\current\THC_Bladel\visiquick\2888_VISIQUICK.FDB"
type fb_db.cfg
pause
VqDbutils.exe DumpPatientIDList /db=fb_db.cfg /out=renum_dump.lst /dentid=1
pause
VqDbutils.exe FilterRenumberList /renumberfn=renum_dump.lst /FilterMode=stripzeros /out=renum_dump_full.lst
pause
VqDbutils.exe FilterRenumberList /renumberfn=renum_dump_full.lst /FilterMode=filteroutunchanged /out=Renum_dump_filter.lst
pause
VqDbutils.exe MergePatients /db=fb_db.cfg /fn=Renum_dump_filter.lst
pause
